﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
    color: #696969;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}
.navbar-nav {
    justify-content: flex-end;
}
/* ---- start here ---- */
a:link {
    color: #3b3420;
    text-decoration: none;
}

a:visited {
    color: #3b3420;
    text-decoration: none;
}

a:hover {
    color: #a52f09;
    text-decoration: none;
}

a:active {
    color: #a52f09;
}

a.order-button, a.order-button:hover {
    color: #fdfcf7;
}

.productInfo, .action {
    max-width: 200px;
}

p {
    font-size: 0.8rem;
}

#orderProcess {
    list-style: none;
    padding: 0;
    clear: both;
}

#orderProcess li {
    color: #696969;
    display: inline;
    font-size: 1.2em;
    margin-right: 15px;
    padding: 3px 0px 0px 5px;
}

.step-number {
    background-color: #edece8;
    border: 1px solid #e6e4d9;
    font-size: 1.5em;
    margin-right: 5px;
    padding: 3px 10px;
}

.current .step-number {
    background-color: #a52f09;
    border-color: #712107;
    color: #fefefe;
}

.orderPageList {
    padding-inline-start: 20px;
}

.actions .order-button {
    margin-left: 20px;
}

label[for="OrderQuantity"] {
    padding-left: 15px;
}

#OrderQuantity {
    margin: 0 15px;
    max-width: 100px;
}

.order-calc {
    display: inline-block;
    margin: 0 10px;
}

.input-validation-error, .input-validation-error:focus {
    background: #ffccba;
    color: #d63301;
}

.form-control.input-validation-error:focus {
    border-color: #d63301;
    box-shadow: 0 0 0 0.2rem rgba(255, 123, 123, 0.5);
}

.field-validation-error {
    color: #be3e16;
}

.validation-summary-errors {
    color: #be3e16;
}

/* ===================== */
/* Start customizzazioni */
/* ===================== */

/* INIZIO highlight delle tables*/
.table tbody tr:hover td,
.table tbody tr:hover th {
    background-color: transparent;
}

.table-striped tbody tr:nth-child(odd):hover td {
    background-color: #ffd800;
}

.table-striped tbody tr:nth-child(even):hover td {
    background-color: #ffd800;
}
/* FINE highlight delle tables*/

/* Distanza fra button prima di una table gestita con datatable */
.before-table{
    margin-bottom:5px;
}
/* Colonne in una table che devon essere allineate a destra */
.rightalign-column {
    text-align:right;
}
.form-inline label {
    display:flex;
    margin-bottom:0;
    align-items: start;
    justify-content: right;
}
.linesep {
    margin-top:5px;
}
.filler {
    width: 100% !important;
}
.filler97 {
    width: 97% !important;
}
.filler74 {
    width: 74% !important;
}
.col-w-40 {
    width: 40%;
}
.col-w-30 {
    width:30%;
}
.col-w-20 {
    width: 20%;
}
.col-w-10 {
    width: 10%;
}
.spinner-size {
    width: 200px;
    height: 100px;
    align-content:center;
}


.inline-checkbox {
    display:inline;
    width:50px;
    height:30px;
    margin-left:5px;
}
#prodotti {
    width: 73%;
    margin-right: -5px;
}
#Bolla_Trasporto_DataTrasporto {
    width:96%;
}
#Bolla_Trasporto_VettoreTrasporto {
    margin-left: -7px;
}
#btnChangeOrder {
    margin-left:-125px;
    margin-top:5px;
    color:#fff;
}
#btnAdd {
    margin-left: -10px;
}
#fade {
    display: none;
    position: absolute;
    top: 0%;
    left: 0%;
    width: 100%;
    height: 100%;
    background-color: #ababab;
    z-index: 1001;
    opacity: .70;
    filter: alpha(opacity=80);
}
#spinner {
    display: none;
    position: absolute;
    top: 35%;
    left: 45%;
    width: 200px;
    height: 100px;
    /*padding: 30px 15px 0px;*/
    /*border: 3px solid #ababab;*/
    /*box-shadow: 1px 1px 10px #ababab;
    border-radius: 20px;*/
    background-color: white;
    z-index: 1002;
    text-align: center;
    overflow: auto;
}